Skip to main content
`Ctrl`+`K`

# VecViennaCLGetCLQueue

Get the OpenCL command queue to which all operations of the Vec are enqueued.

## Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLGetCLQueue(Vec v, PETSC_UINTPTR_T *queue)

Caller should cast (*queue) to (const cl_command_queue). Caller is responsible for invoking clReleaseCommandQueue().

## Input Parameter

- v - the vector

## Output Parameter

- queue - pointer to the CL command queue

## See Also

`VecViennaCLGetCLContext()`, `VecViennaCLGetCLMemRead()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages